Subject: [NGO] My thoughts on CANMOD BOF

From: "Bert Wijnen" <[email-masked]>
Date: Fri, 1 Feb 2008 17:26:46 +0100

Dear IESG and IAB,

During my last two terms of OPS AD, I was pretty strongly
opposed to creating any WG in the space of NETCONF Data
Modeling, be it standardizing Data Modeling Language (DML)
or be it standardizing a specific Data Model (DM). My main
reason was that I wanted the NETCONF effort to be of
reasonable and achievable scope, so I strongly preferred
that the NETCONF Protocol would be done/completed first.

The NETCONF WG actually completed (I.e. got IESG approval)
for their 4 work-items on the last day of my being AD
(March 2006), and their work finally got published as
RFC4741-4744 in December 2006 (shows how long it took back
then to get approved documents out as RFC, but let us not
diverge). In july we saw the first Interoperability event
of 4 implementations. We also see that there are commercial
NETCONF products in the market today.

Dan Romascanu succeeded me as OPS AD with focus on NM. He
very much saw the need for Netconf Data Modeling work (and
I agreed that that is a big missing piece of NETCONF, and
since the protocol work had completed, I also agreed (and
still agree) that it is time to work on that).

We did have a BOF back at IETF60 (for minutes see
http://www.ietf.org/proceedings/04aug/184.htm) and at
that BOF, it was already clear that people from all sorts
of areas (also from outside the IETF) were jumping up to
try and "promote" their solution and favorite DML.
It was a mess. There was no feeling of urgence or desire
to converge on any ideas. There was just competition,
promotional efforts, and maybe even ego-tripping.
But that was not my biggest issue at the time. What I
had asked (as we (randy Bush and I) did for the initial
NETCONF protocol work) was that proponents of NETCONF
DML and DM work would FIRST get together with a sizable
set of people and document one (or more) intial
proposal(s) so that we had a concrete document we could
discuss and start working from. I wanted to see
demonstrable interest (in the sense of "show willingness
to work" as opposed to just "yeah I am interested").

And although it took a little while after the completion
of the base NETCONF protocol work, I was VERY PLEASED to
see that a quite sizable set of people from various
organisations and companies had gotten together and had
implemented various DML concepts, written tools, and
last but not least, worked together to come up with a
concrete and publsihed proposal: YANG.
Not only that, since they published it, there has been
an enourmous active discussion on the YANG mailing list
and also in other places inside the IETF.
Further I was pleased to see that Dan Romascanu had the
courage and stamina to indeed support this effort
and bring a BOF proposal into the IESG for IETF70.

I was distressed when I then heard that these people were
denied a BOF at IETF70 in Vancouver. And the denial seems
to be mainly based on people who want to promote their
one-size-fits-all existing languages as the solution to
the NETCONF DML problem. And those promoters (most them
not having participated in any of the IETF Network
Management efforts in the past) apparently have been able
to "delay" any official/approved YANG work in the IETF by
steering us (the IETF community) into another requirements
gathering and priotitizing effort. Sure a small Design
Team (DT) was formed to try and get this DONE before
IETF71, so that we would be able to use these requirements
in evaluating YANG and any other (concrete) proposals at
the upcoming IETF. The idea was (and I thought many
(most?) people agreed to that) that the requirements would
come from the maany OPS NM requirements that we already
have from earlier efforts (like SMIng, IAB workshop) and
that concrete proposals would have to
- show how they meet those requirements
- if they do not meet any of them, justify why they think
  the requirement is irrelevant
- explain what extra requirements they assumed and justify
  why they believe such extra requirements are important.
That way, we thought we would be able to have a BOF at
IETF71 where we could decide to have a good basis to ask
the IESG to start a NETCONF DML WG and to also decide if
one (or a small set of the concrete proposals) can serve
as a starting point.

But from the announcement I saw from Dan:
   -----Oorspronkelijk bericht-----
   Van: Romascanu, Dan (Dan) [mailto:[email-masked]]
   Verzonden: donderdag 31 januari 2008 18:45
   Aan: [email-masked]
   Onderwerp: [NGO] CANMOD BOF

   The IESG and IAB teleconference approved holding the Comparing
   Approaches to NETCONF Modeling (CANMOD) BOF in Philadelphia with the
   recommendation of making changes in the agenda. There were several
   comments and concerns, and the IAB and the IESG recommend that the focus
   of the BOF be placed on discussing and validating the requirements as
   documented in the design team and other contributions and recommending
   how the NETCONF DM work should proceed in the most efficient manner. All
   recommendations in the meeting will be validated on the list.
   Presentations on the different solution proposals should be reduced
   relative to the current agenda and limited to the minimal positioning
   relative to the requirements.

I must conclude that the IAB and IESG want to repeat a long
and painfull "requirements discussions and validations",
which in my view will be a repeat of the work we did in the
SMIng WG (RFC3216) and IAB Workshop (RFC3535), and which I
suspect has a VERY LOW chance of success, or better a VERY
BIG chance of failure. Not only that, it will in addition
demotivate (and steer away from IETF) the great new talent
that is working together with several experienced IETF NM
folk in the YANG team.

I really think that entering a yet another "requirements"
phase and thereby delaying the real work and demotivating
the real workers, that the IETF will spoil its last chance
to be of any importance in the Internet Network Management
space.

I ask you to PLEASE support the energetic work and enthiousm
and dedication of the NETCONF/YANG people and make it possible
for them to START a WG and do REAL WORK.

kind regards,
Bert Wijnen

_______________________________________________
NGO mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ngo